Trying to install PHPAdsNew

apps

#1

I keep getting an error about the PHP global variable register_long_arrays being OFF. How can I get around this?

Anyone else using PHPAdsNew?

Thanks
-Ken


#2

As far as I know, register_long_arrays is set to OFF in PHP 5. It populates things like $HTTP_GET_VARS, which are deprecated. You should use the superglobal arrays like $_GET instead.

You may be able to use ini_set to override this option (I’ve never used it, so I’m not sure about this), but it would be better to avoid the deprecated global variables.


Simon Jessey
Keystone Websites | si-blog


#3

I wish I didn’t need it but the latest version of PHPAdsNew is asking for register_long_arrays. The installer won’t run without it. I guess I have to contact the developer.

thanks anyway
-Ken


#4

I just had a look at the source files. Try adding the following to the beginning of the admin/config.pgp file, just before the ini_set function:

$HTTP_POST_VARS = $_POST; $HTTP_GET_VARS = $_GET; $HTTP_COOKIE_VARS = $_COOKIE;That might help, but no promises!


Simon Jessey
Keystone Websites | si-blog


#5

Didn’t work…thanks for the suggestion. I am trying the phpAdsNew forum and see what they have to say.

thanks
-Ken


#6

Here is the post > http://forum.phpadsnew.com/index.php?showtopic=8230

I will also reply later because I’m going to be in the same boat soon.

happylittlethings.com


#7

I Think DH have update PHP to php5 as what i have Read the Announse in the Cpanel :slight_smile:

H2kMatrix Community The larg Community in the Web "WebHostingTalk"WebDesginTalk"PhotoShop"And Many many more… :wink: